/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * ManufacturerBean.java
 */

package org.eu.adapt.demonstrator.eb.retailer;

import java.util.Collection;
import javax.ejb.CreateException;
import javax.ejb.EntityContext;
import javax.ejb.EntityBean;

public abstract class ManufacturerBean implements EntityBean
{
    public String ejbCreate(String name)
        throws CreateException
    {
        setName(name);

        return null;
    }

    public void ejbPostCreate(String name)
    {
    }

    public abstract void setName(String name);

    public abstract String getName();

    public abstract void setProducts(Collection products);

    public abstract Collection getProducts();

    public void setEntityContext(EntityContext entityContext)
    {
    }

    public void unsetEntityContext()
    {
    }

    public void ejbActivate()
    {
    }

    public void ejbPassivate()
    {
    }

    public void ejbLoad()
    {
    }

    public void ejbStore()
    {
    }    

    public void ejbRemove()
    {
    }
}
